/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

:root {
  --clr-white: hsl(0, 0%, 98%);
  --clr-gray: hsl(0, 0%, 41%);
  --clr-black: hsl(0, 0%, 8%);

  --fs-body: 1.125rem;

  --bs: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px, rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;

  --ff-primary: "Epilogue", sans-serif;

  --fw-reg: 500;
  --fw-bold: 700;
}
body {
  font-size: var(--fs-body);
  font-weight: var(--fw-reg);
  font-family: var(--ff-primary);
  color: var(--clr-gray);
}
header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem;
}

/* .logo {
  max-width: 100px;
} */

.nav {
  font-size: 0.9rem;
  position: fixed;
  background: #fff;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: 100;
  transform: translateX(100%);
  transition: transform 250ms cubic-bezier(0.5, 0, 0.5, 1);
  overflow-y: auto;
  padding: 4rem 1.5rem;
}
.nav-toggle {
  padding: 0.5em;
  background: transparent;
  border: 0;
  cursor: pointer;
  position: absolute;
  right: 1em;
  top: 1em;
  z-index: 1000;
}
.nav-toggle::before {
  content: "";
  display: inline-block;
  background: url(images/icon-menu.svg) no-repeat;
  width: 32px;
  height: 18px;
}
.nav-open .nav-toggle::before {
  background: url(images/icon-close-menu.svg) no-repeat;
  width: 26;
  height: 26px;
}

.nav__list {
  list-style: none;
  padding: 0;
}
.nav__item {
  margin-bottom: 1rem;
}
.nav__item:not(:nth-child(n + 3)) .nav__link:after {
  content: "";
  vertical-align: middle;
  display: inline-block;
  background: url(images/icon-arrow-down.svg) no-repeat;
  background-position: center;
  margin-left: 1rem;
  width: 10px;
  height: 6px;
}

.nav__item:not(:nth-child(n + 3)) .active:after {
  background: url(images/icon-arrow-up.svg) no-repeat;
  background-position: center;
}

.nav a {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}

.nav__link:hover {
  color: var(--clr-accent);
}
.nav__btn {
  margin-top: 2rem;
}
.nav__btn .button {
  width: 100%;
}
.nav-open .nav {
  transform: translateX(0);
}

.nav-open .nav-toggle {
  position: fixed;
}

.accordion {
  display: none;
  padding: 0.5em 1em;
}
.accordion__item {
  color: var(--clr-gray);
  text-decoration: none;
  display: flex;
  gap: 1em;
  padding: 0.3em;
}
.button {
  text-align: center;
  display: inline-block;
  padding: 0.5em 1.5em;
  text-decoration: none;
  cursor: pointer;
  border-radius: 1rem;
}
.button-primary {
  border: 1px solid var(--clr-black);
}
.button-secondary {
  font-weight: var(--fw-bold);
  color: var(--clr-white);
  background: var(--clr-black);
  font-size: 1rem;
  padding: 0.8em 1.5em;
}
.button-secondary:hover {
  background-color: var(--clr-white);
  color: var(--clr-black);
  border: 1px solid var(--clr-black);
}
.intro__content {
  text-align: center;
  padding: 2rem 1rem;
}
.intro__content h1 {
  font-weight: var(--fw-bold);
  color: var(--clr-black);
  font-size: 2rem;
}
.intro__content p {
  font-size: 0.8rem;
  margin-bottom: 1.5rem;
  margin-top: 1rem;
}
.visible-lg {
  display: none;
}
.icons {
  margin-top: 2.5rem;
  display: flex;
  gap: 2rem;
  justify-content: center;
  align-items: center;
}
@media (min-width: 600px) {
  .visible-lg {
    display: block;
  }

  .intro {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: flex-end;
    gap: 1rem;
    margin: 0 2rem;
  }
  .intro__content h1 {
    line-height: 1;
  }

  .intro__img img {
    max-width: 16rem;
  }
  .intro__content {
    text-align: left;
    padding: 0;
    margin: 0;
  }
  .icons {
    justify-content: flex-start;
  }
}
@media (min-width: 900px) {
  body {
    background-color: transparent !important;
  }
  .nav-toggle,
  .accordion {
    display: none;
  }

  .nav {
    transform: translateX(0%);
    position: static;
    background: none;
    padding: 0;
    flex-grow: 1;
    display: flex;
    justify-content: space-between;
    margin-left: 5rem;
    overflow-y: inherit;
  }
  .nav__list {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .nav__list,
  .nav__item,
  .nav__btn {
    margin: 0;
  }
  .nav__btn .button {
    width: fit-content;
  }
  .nav__item {
    margin-right: 2rem;
  }

  .intro__content h1 {
    font-size: 5rem;
  }
  .intro__img img {
    max-width: 25rem;
  }
  .intro__content > *:not(:last-child) {
    margin-bottom: 2rem;
  }
  .intro__content p {
    font-size: 1rem;
  }

  .nav__link {
    pointer-events: none;
  }

  .nav__item {
    cursor: pointer;
    position: relative;
    display: inline-block;
  }

  .accordion {
    top: 1.2rem;
    right: 0;
    display: none;
    position: absolute;
    background-color: #fff;
    min-width: 160px;
    box-shadow: var(--bs);
    border-radius: 0.5rem;
    z-index: 1;
  }
  .accordion__item {
    padding: 0.5rem;
    border-radius: 0.5rem;
  }
  .accordion .accordion__item:hover {
    background-color: #ddd;
  }

  .nav__item:hover .accordion {
    display: block !important;
  }

  .nav__item:hover .nav__link {
    color: var(--clr-black);
  }
}
